<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */
add_action('optionsframework_after','optionscheck_display_sidebar', 100);

function optionscheck_display_sidebar() { ?>
    <div class="metabox-holder goto">
        <div class="postbox">
            <h3>More Options</h3>
                <div class="inside">
			<ol>
				<li>To Change Logo, Background Color, Header Image, Title Tagline <b>Go to 
				<a href="<?php echo esc_url(__(admin_url( 'customize.php' ))); ?>" target="_blank"><?php echo esc_attr__( 'Customizer', 'wrock-metro' ); ?></a></b>
				</li>
				<li>
				Add Widget and put ads codes in different area in website <b>Go to <a href="<?php echo esc_url(__(admin_url( 'widgets.php' ))); ?>" target="_blank"><?php echo esc_attr__( 'Widget Settings', 'wrock-metro' ); ?></a></b>	
				</li>
			</ol>
                    <p>Here are some more option related to basic theme setup.</p>
                </div>
        </div>
    </div>
<?php }
function optionsframework_option_name() {

	// This gets the theme name from the stylesheet
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'wrock-metro' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'wrock-metro', $optionsframework_settings );
}


function optionsframework_options() {

	// Test data
	$test_array = array(
		'3' => __('3', 'wrock-metro'),
		'5' => __('5', 'wrock-metro'),
		'6' => __('6', 'wrock-metro'),
		'8' => __('8', 'wrock-metro'),
		'10' => __('10', 'wrock-metro')
	);

	// Multicheck Array
	$multicheck_array = array(
		'one' => __('French Toast', 'wrock-metro'),
		'two' => __('Pancake', 'wrock-metro'),
		'three' => __('Omelette', 'wrock-metro'),
		'four' => __('Crepe', 'wrock-metro'),
		'five' => __('Waffle', 'wrock-metro')
	);

	// Multicheck Defaults
	$multicheck_defaults = array(
		'one' => '1',
		'five' => '1'
	);
	


	// Typography Defaults
	$typography_defaults = array(
		'size' => '13px',
		'face' => 'false',
		'style' => 'normal',
		'color' => '#555555' );
	$typography_entrytitle = array(
		'size' => '28px',
		'face' => 'false',
		'style' => 'normal',
		'color' => '#555555' );
		
	// Typography Options
	$typography_options = array(
		'sizes' => array( '6','12','14','16','20' ),
		'faces' => false,
		'styles' => array( 'normal' => 'Normal','bold' => 'Bold' ),
		'color' => false
	);

	// Pull all the categories into an array
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all tags into an array
	$options_tags = array();
	$options_tags_obj = get_tags();
	foreach ( $options_tags_obj as $tag ) {
		$options_tags[$tag->term_id] = $tag->name;
	}


	// Pull all the pages into an array
	$options_pages = array();
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
		$options_pages[$page->ID] = $page->post_title;
	}

	// If using image radio buttons, define a directory path
	$imagepath =  get_template_directory_uri() . '/images/';

	$options = array();
$options[] = array(
            'desc' => '<h2 style="color: #FFF !important;">' . esc_attr__( 'Upgrade to Premium Theme & Enable Full Features!', 'wrock-metro' ) . '</h2>
            <li>' . esc_attr__( 'Mobile Responsive Website Design.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'SEO wrockmetrod WordPress Theme.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Unlock Premium Features.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Theme Customization help & Support Forum.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Page Speed wrockmetro for better result.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Color Customize of theme.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Custom Widgets and Functions.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Social Media Integration.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Different Website Layout to Select.', 'wrock-metro' ) . '</li>
            <li>' . esc_attr__( 'Many of Other customize feature for your blog or website.', 'wrock-metro' ) . '</li>
            <p><span class="buypre"><a href="' . esc_url(__('http://www.insertcart.com/product/wrock-metro/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Upgrade Now', 'wrock-metro' ) . '</a></span><span class="buypred"><a href="' . esc_url(__('http://www.insertcart.com/contact-us','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Support Forum !', 'wrock-metro' ) . '</a></span></p>',
            'class' => 'tesingh',
            'type' => 'info');
	$options[] = array(
		'name' => __('Basic Settings', 'wrock-metro'),
		'type' => 'heading');
		
	$options[] = array(
		 'desc' => '<h4 class="heading">' . esc_attr__( 'Custom Favicon URL - Moved to Customizer ', 'wrock-metro' ) . '<a href="' . esc_url(__(admin_url( 'customize.php' ))) . '" target="_blank">' . esc_attr__( 'Customize > Site Identity', 'wrock-metro' ) . '</a>  '. '</h4>',
          'type' => 'info');
	$options[] = array(
		 'desc' => '<h4 class="heading">' . esc_attr__( 'Logo Setting - Moved to Customizer ', 'wrock-metro' ) . '<a href="' . esc_url(__(admin_url( 'customize.php' ))) . '" target="_blank">' . esc_attr__( 'Customize > Site Identity', 'wrock-metro' ) . '</a>  '. '</h4>',
          'type' => 'info'); 	

	$options[] = array(
		'name' => __('Show Author Profile', 'wrock-metro'),
		'desc' => __('Check the box to show Author Profile Below the Post and Pages.', 'wrock-metro'),
		'id' => 'wrockmetro_author',
		'std' => '',
		'type' => 'checkbox');

	$options[] = array(
		'name' => __('Show Latest Posts in Sidebar', 'wrock-metro'),
		'desc' => __('Show 5 Latest Posts with Thumbnail in Sidebar.', 'wrock-metro'),
		'id' => 'wrockmetro_activate_ltposts',
		'std' => '1',
		'type' => 'checkbox');
	$options[] = array(
		'name' => __('Show Search on top navigation', 'wrock-metro'),
		'desc' => __('Check or Uncheck Box to show or hide search', 'wrock-metro'),
		'id' => 'wrockmetro_topsearch',
		'std' => '1',
		'type' => 'checkbox');
	$options[] = array(
		'name' => __('Excerpt or Full Content', 'wrock-metro'),
		'desc' => __('Check or Uncheck Box to show or hide post content on index page', 'wrock-metro'),
		'id' => 'wrockmetro_contenttype',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
				'on' => __('Excerpt','wrock-metro'),
				'off' => __('Full Content','wrock-metro')
				));		
		$options[] = array(
		'name' => __( 'Featured Thumbnail Image on Post', 'wrock-metro' ),
		'desc' => __('Show or Hide ', 'wrock-metro'),
		'id' => 'show_featured_image',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
				'on' => __('Show','wrock-metro'),
				'off' => __('Hide','wrock-metro')
				));	
	$options[] = array(
		'name' => __('Website Width in Pixels [It Calculate Max Width]', 'wrock-metro'),
		'desc' => __('PX-  Please input Max-Width for your website Default value 1292px, also it is 5% padding from sides', 'wrock-metro'),
		'id' => 'wrockmetro_maxwidth',
		'std' => '1292',
		'class' => 'mini',
		'type' => 'text');
	
		
$options[] = array(
		'name' => __('Social Media', 'wrock-metro'),
		'type' => 'heading');
		$options[] = array(
		'name' => __('Show share buttons on Top Navigation', 'wrock-metro'),
		'desc' => __('Check or uncheck Box to show and hide share buttons', 'wrock-metro'),
		'id' => 'wrockmetro_sharebut',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Facebook Link', 'wrock-metro'),
		'desc' => __('Enter your Facebook URL if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_fb',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Twitter Follow Link', 'wrock-metro'),
		'desc' => __('Enter your Twitter URL if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_tw',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('YouTube Channel Link', 'wrock-metro'),
		'desc' => __('Enter your YouTube URL if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_youtube',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Google+ URL', 'wrock-metro'),
		'desc' => __('Enter your Google+ Link if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_gp',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('RSS Feed URL', 'wrock-metro'),
		'desc' => __('Enter your RSS Feed URL if you have one', 'wrock-metro'),
		'id' => 'wrockmetro_rss',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Linked In URL', 'wrock-metro'),
		'desc' => __('Enter your Linkedin URL if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_in',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Pinterest In URL', 'wrock-metro'),
		'desc' => __('Enter your Pinterest URL if you have one.', 'wrock-metro'),
		'id' => 'wrockmetro_pinterest',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Email Address to Contact', 'wrock-metro'),
		'desc' => __('Enter your email address if you have one', 'wrock-metro'),
		'id' => 'wrockmetro_email',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Stumbleupon In URL', 'wrock-metro'),
		'desc' => __('Enter your Stumbleupon  address if you have one', 'wrock-metro'),
		'id' => 'wrockmetro_stumbleupon',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Instagram In URL', 'wrock-metro'),
		'desc' => __('Enter your Instagram  address if you have one', 'wrock-metro'),
		'id' => 'wrockmetro_instagram',
		'std' => '',
		'type' => 'text');
		

		
$options[] = array(
		'name' => __('Custom Styling', 'wrock-metro'),
		'type' => 'heading');
	$options[] = array(
		'name' => __('Custom CSS', 'wrock-metro'),
		'desc' => __('Quickly add some CSS to your theme by adding it to this block.', 'wrock-metro'),
		'id' => 'wrockmetro_customcss',
		'std' => '',
		'type' => 'textarea');
		
$options[] = array(
		'name' => __('Ads Management', 'wrock-metro'),
		'type' => 'heading');
	$options[] = array(
		'name' => __('Paste Ads code below navigation', 'wrock-metro'),
		'desc' => __('Activate Ads Space Below Navigation and put code in below text field.', 'wrock-metro'),
		'id' => 'wrockmetro_banner_top',
		'std' => '',
		'type' => 'textarea');
	$options[] = array(
		 'name' => __( 'AD Code For Single Post', 'wrock-metro' ),
            'desc' => 'Paste Ad code for single post it show ads below post title and before content.',
            'id' => 'wrockmetro_ad2',
            'std' => '',
            'type' => 'textarea');
     $options[] = array(
		'name' => __( 'AD Code For Footer', 'wrock-metro' ),
		'desc' => __('Paste Ad Code for Footer Area.', 'wrock-metro'),
            'id' => 'wrockmetro_ad1',
            'std' => '',
            'type' => 'textarea');	
		
$options[] = array(
		'name' => __('Premium Features', 'wrock-metro'),
		'type' => 'heading');
	
				
		$options[] = array(
		'desc' => __('<span class="pre-title">New Features</span>', 'wrock-metro'), 
		'type' => 'info');
		
		$options[] = array(
		'name' => __('Popular Posts in Sidebar', 'wrock-metro'),
		'desc' => __('Display Popular Post Sidebar Widget.', 'wrock-metro'),
		'id' => 'wrockmetro_popular',
		'std' => '',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Floating Share Buttons', 'wrock-metro'),
		'desc' => __('Display Floating Share widget with count.', 'wrock-metro'),
		'id' => 'wrockmetro_flowshare',
		'std' => '',
		'type' => 'checkbox');
		
		$options[] = array(
		'name' => __('Responsive Website Design', 'wrock-metro'),
		'desc' => __('Enable Responsive Design for you website to increase exprience on Mobile Devices', 'wrock-metro'),
		'id' => 'wrockmetro_responsive',
		'std' => '',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Excerpt Length (Number of words display in post description)', 'wrock-metro'),
		'desc' => __('Number of words display in every post description Default is 45.', 'wrock-metro'),
		'id' => 'wrockmetro_excerp',
		'std' => '',
		'class' => 'mini',
		'type' => 'text');

		$options[] = array(
		'name' => __('Home Icon from Top and Main Navigation', 'wrock-metro'),
		'desc' => __('Show or Hide Home Icon.', 'wrock-metro'),
		'id' => 'wrockmetro_homeicon',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => 'Show',
						'off' => 'Hide'
						));
		$options[] = array(
		'name' => __('Change Link Color', 'wrock-metro'),
		'desc' => __('Select Links Color.', 'wrock-metro'),
		'id' => 'wrockmetro_linkcolor',
		'std' => '#2D89A7',
		'type' => 'color' 
);
		$options[] = array(
		'desc' => __('Change Link Hover Color.', 'wrock-metro'),
		'id' => 'wrockmetro_linkhover',
		'std' => '#359BED',
		'type' => 'color' );
		$options[] = array(
		'name' => __('Top Menu & Main Navigation Colors', 'wrock-metro'),
		'desc' => __('Top Menu Background Color.', 'wrock-metro'),
		'id' => 'wrockmetro_topnavibgcolor',
		'std' => '#2693BA',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Top Menu Hover Background Color.', 'wrock-metro'),
		'id' => 'wrockmetro_topnavibgcolorh',
		'std' => '#359BED',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Main Naigation Background.', 'wrock-metro'),
		'id' => 'wrockmetro_mainnavibg',
		'std' => '#333',
		'type' => 'color' );
		
		$options[] = array(
		'desc' => __('Main Navigation hover Color.', 'wrock-metro'),
		'id' => 'wrockmetro_mainnavilinkcolor',
		'std' => '#359BED',
		'type' => 'color' );
		
		
		$options[] = array(
		'name' => __('Page Number Navigation Color Chnage ', 'wrock-metro'),
		'desc' => __('Change Current Page Background.', 'wrock-metro'),
		'id' => 'wrockmetro_pageanvibg',
		'std' => '#333',
		'type' => 'color' );
		$options[] = array(
			'desc' => __('Change background color of other pages.', 'wrock-metro'),
		'id' => 'wrockmetro_pageanvia',
		'std' => '#359BED',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Numbers text Color Change.', 'wrock-metro'),
		'id' => 'wrockmetro_pageanvilink',
		'std' => '#ffffff',
		'type' => 'color' );
		
		$options[] = array(
		'name' => __('Sidebar Color Customize ', 'wrock-metro'),
		'desc' => __('Change Sidebar 1 (left) heading background color.', 'wrock-metro'),
		'id' => 'wrockmetro_sidebarhead',
		'std' => '#2693BA',
		'type' => 'color' );
		$options[] = array(
		'desc' => __('Change Sidebar 2 (Right) heading background color.', 'wrock-metro'),
		'id' => 'wrockmetro_sidebarhead2',
		'std' => '#2693BA',
		'type' => 'color' );
		
		$options[] = array( 'name' => __('Customize Theme Fonts', 'wrock-metro'),
		'desc' => __('Change <b>Body (Theme) Font</b> color and Size.', 'wrock-metro'),
		'id' => "wrockmetro_bodyfonts",
		'std' => $typography_defaults,
		'type' => 'typography' );
		$options[] = array( 
		'desc' => __('Change <b>H1 Posts and Pages Title </b>Font color or Size.', 'wrock-metro'),
		'id' => "wrockmetro_entrytitle",
		'std' => $typography_entrytitle,
		'type' => 'typography' );
		$options[] = array(
		'name' => __('Footer Widget Area Settings', 'wrock-metro'),
		'desc' => __('Show or Hide Footer Widget Area.', 'wrock-metro'),
		'id' => 'wrockmetro_footerwidget',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => 'Show',
						'off' => 'Hide'
						));
				
		$options[] = array(
		'name' => __('Edit "Read More" Button', 'wrock-metro'),
		'desc' => __('Show or Hide "Continue reading" or read more Button  Button .', 'wrock-metro'),
		'id' => 'wrockmetro_countinue',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => 'Show',
						'off' => 'Hide'
						));
		$options[] = array(
		'desc' => __('Read More Button Color Change.', 'wrock-metro'),
		'id' => 'wrockmetro_readmorecolor',
		'std' => '#359BED',
		'type' => 'color' );					
		$options[] = array(
		    'desc' => 'Paste You Custom text for Continue reading <b>Default: Continue reading &raquo; </b>.',
            'id' => 'wrockmetro_fullstory',
            'std' => 'Read More &raquo;',
            'type' => 'text');				

		$options[] = array(
		'name' => "Website layout",
		'desc' => "Select Images for Website layout.",
		'id' => "wrockmetro_layout",
		'std' => "s2",
		'type' => "images",
		'options' => array(
			's2' => $imagepath . 's2.png',
			's1' => $imagepath . 's1.png',
			'sl' => $imagepath . 'sl.png',
			'fc' => $imagepath . 'fc.png')
	);
		$options[] = array(
		'desc' => '<span class="pre-titleseo">SEO & Meta Options</span>', 
		'type' => 'info');
		$options[] = array(
		'name' => __('Google+ Publisher URL', 'wrock-metro'),
		'desc' => __('Paste Your Google Publisher URL https://plus.google.com/YOUR-GOOGLE+ID/posts.', 'wrock-metro'),
		'id' => 'wrockmetro_googlepub',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Bing Site Verification', 'wrock-metro'),
		'desc' => __('Enter the ID only. It will be verified by Yahoo as well.', 'wrock-metro'),
		'id' => 'wrockmetro_bingvari',
		'std' => '',
		'type' => 'text');
		$options[] = array(
		'name' => __('Google Site verification', 'wrock-metro'),
		'desc' => __('Enter your ID only.', 'wrock-metro'),
		'id' => 'wrockmetro_googlevari',
		'std' => '',
		'type' => 'text');
		
		
		$options[] = array(
		'desc' => '<span class="pre-titlecus">Customization</span>', 
		'type' => 'info');
		$options[] = array(
		'name' => __('Breadcrumbs Options', 'wrock-metro'),
		'desc' => __('Check Box to Enable or Disable Breadcrumbs.', 'wrock-metro'),
		'id' => 'wrockmetro_bread',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'name' => __('Enable Post Meta Info.', 'wrock-metro'),
		'desc' => __('Check Box to Show or Hide Tags ', 'wrock-metro'),
		'id' => 'wrockmetro_tags',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'desc' => __('Check Box to Show or Hide Comments ', 'wrock-metro'),
		'id' => 'wrockmetro_comments',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'desc' => __('Check Box to Show or Hide Categories ', 'wrock-metro'),
		'id' => 'wrockmetro_categrious',
		'std' => '1',
		'type' => 'checkbox');
		$options[] = array(
		'desc' => __('Check Box to Show or Hide Author and date ', 'wrock-metro'),
		'id' => 'wrockmetro_autodate',
		'std' => '1',
		'type' => 'checkbox');
			
		$options[] = array(
		'name' => __('Next and Previous Post Link', 'wrock-metro'),
		'desc' => __('Show or Hide Next and Previous Post Link below every post.', 'wrock-metro'),
		'id' => 'wrockmetro_links',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => 'Show',
						'off' => 'Hide'
						));
		$options[] = array(
		'name' => __('Show or Hide Copy Right Text', 'wrock-metro'),
		'desc' => __('Show or Hide Copyright Text and Link.', 'wrock-metro'),
		'id' => 'wrockmetro_copyright',
		'std' => 'on',
		'type' => 'radio',
		'options' => array(
						'on' => 'Show',
						'off' => 'Hide'
						));
		$options[] = array(
		    'desc' => 'Paste Ad code for single post it show ads below post title and before content.',
            'id' => 'wrockmetro_ftarea',
            'std' => '&#169; 2016 Design: <a href="http://www.insertcart.com/product/wrock-metro/" title="insertcart.com">Wrock Metro</a> | Powered by <a href="http://wordpress.org/">WordPress</a>',
            'type' => 'textarea');	

$options[] = array(
		'name' => __('Theme Support', 'wrock-metro'),
		'type' => 'heading' );


	$options[] = array(
		  'desc' => '<h2>' . esc_attr__( 'Need support about theme go to Support forum', 'wrock-metro' ) . '</h2>' . esc_attr__( 'If you have any problem in using options then please read theme documentation first ', 'wrock-metro' ) . '<a href="' . esc_url(__('http://www.insertcart.com/wrock-metro-theme-setup-guide-and-documentation/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Theme Documentation', 'wrock-metro' ) . '</a>  ' . esc_attr__( 'Before you contact us via directly please use support forum also We recommend you to use some WordPress plugin like "Regenerate Thumbnails" WordPress SEO and W3tc to optimize and get great website experience.', 'wrock-metro' ) . '
            <p><span class="buypre"><a href="' . esc_url(__('http://www.insertcart.com/wrock-metro-theme-setup-guide-and-documentation/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Documentation', 'wrock-metro' ) . '</a></span></p></br>
			<ol>
			<li><a href="' . esc_url(__('http://www.insertcart.com/faq-frequently-asked-question-theme-setup/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'FAQ - Frequently Asked Question About Theme Setup', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/making-post-by-importing-docx-file-content-into-post-images/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Making Post by Importing Docx File Content into Post Images', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-secure-website-made-these-changes-in-htaccess/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'How to Secure Website? Made these changes in .htaccess', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-add-icon-navigation-menu/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'How to Add Icon Navigation Menu', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/how-to-install-a-required-or-recommended-plugin/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'How to Install a Required or Recommended Plugin', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/fix-woocommerce-pages-issue-missing-reinstall/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Fix Woocommerce Pages Issue Missing or reinstall', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/get-current-page-url-in-wordpress/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Get Current Page URL in WordPress', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/add-ad-code-after-every-few-post/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Add Ad Code After Every Few Post', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/add-icons-wordpress-customizer-setting-panel/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Add Icons to WordPress Customizer Setting Panel', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/woocommerce-quantity-before-add-to-cart-and-product-update/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'WooCommerce Quantity Before Add to Cart and Product Update', 'wrock-metro' ) . '</a></li>
			<li><a href="' . esc_url(__('http://www.insertcart.com/official-social-share-button-script/','wrock-metro')) . '" target="_blank">' . esc_attr__( 'Official Social Share Button Script', 'wrock-metro' ) . '</a></li>
			</ol>',
            'type' => 'info');		
			

	return $options;
}